cURL
curl --request POST \ --url https://api.ttapi.io/suno/v1/gen-midi \ --header 'Content-Type: application/json' \ --header 'TT-API-KEY: <api-key>' \ --data ' { "music_id": "<string>" } '
{ "status": "SUCCESS", "message": "success", "data": { "state": "complete", "instruments": [ { "name": "Synth Voice", "notes": [ { "pitch": 60, "start": 11.166666666666666, "end": 11.333333333333334, "velocity": 0.49606299212598426 }, { "pitch": 60, "start": 11.5, "end": 11.666666666666666, "velocity": 0.49606299212598426 }, { "pitch": 60, "start": 11.833333333333334, "end": 12, "velocity": 0.49606299212598426 } ] } ] } }
Используйте Suno MIDI export API, чтобы преобразовывать сгенерированную музыку в MIDI для редактирования в DAW, доработки аранжировки и production-сценариев.
Вы можете получить API-ключ в TTAPI Dashboard.
歌曲id
Запрос выполнен успешно
"SUCCESS"
"success"
Show child attributes